Bug 1269196 - hammer docker container status not showing correct status
hammer docker container status not showing correct status
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management (Show other bugs)
6.1.0
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 11:23 EDT by Andrii Balakhtar
Modified: 2017-01-11 14:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-11 14:29:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 16102 None None None 2016-08-13 09:47 EDT

  None (edit)
Description Andrii Balakhtar 2015-10-06 11:23:09 EDT
Description of problem:
'hammer docker container status' always shows 'Running: no' for all the containers, even after successful 'hammer docker container start' command.

Version-Release number of selected component (if applicable):
6.1.3C2

How reproducible:
Always

Steps to Reproduce:
1. # hammer -u admin -p changeme compute-resource create --name test_cr --organization-ids 37 --provider Docker --url unix:///var/run/docker.sock
Compute resource created

2. # hammer -u admin -p changeme docker container create --compute-resource-id 77 --organization-ids 37 --command top --name test_container --repository-name busybox --tag latest
Docker container created

3. # hammer -u admin -p changeme docker container status --id 30
Running: no

4. # hammer -u admin -p changeme docker container start --id 30
The container was started.

5. # hammer -u admin -p changeme docker container status --id 30
Running: no

Actual results:
'Running: no' status for started container.

Expected results:
'Running: yes' status for started container.

Additional info:
Comment 3 Bryan Kearney 2016-08-04 16:10:08 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 6 Bryan Kearney 2017-01-11 14:29:22 EST
This is an older bug which has been reported upstream. We are not going to track this bug downstream. When the upstream issue is resolved, the next build will contain the fix. Thank you.

Note You need to log in before you can comment on or make changes to this bug.